#include<iostream>
using namespace std;
long long s[1000001];
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long n;
    cin>>n;
    for(long long i=0;i<n;i++)
    {
        long long a;
        cin>>a;
        s[i]=a;
    }
    long long br=0, ans=0;
    for(long long i=0;i<n-1;i++)
    {
        for(long long j=i+1;j<n;j++)
        {
            if(br>s[i] && br>s[j])continue;
           // cout<<s[i]<<" "<<s[j]<<endl;
            ans++;
            if(br<s[j])br=s[j];
        }
        br=0;
    }
    cout<<ans<<endl;
    return 0;
}
